Results 1 to 6 of 6

Thread: Errors installing apache and mysql !!

  1. #1
    Join Date
    Oct 2008
    Posts
    2

    Default Errors installing apache and mysql !!

    What's going on here??

    yum -y install httpd php mysql mysql-server php-mysql
    Loading "fastestmirror" plugin
    Loading mirror speeds from cached hostfile
    * rpmforge: fr2.rpmfind.net
    * base: mirror.vpslink.com
    * updates: mirror.vpslink.com
    * addons: mirror.vpslink.com
    * extras: mirror.vpslink.com
    Excluding Packages in global exclude list
    Traceback (most recent call last):
    File "/usr/bin/yum", line 29, in ?
    yummain.main(sys.argv[1:])
    File "/usr/share/yum-cli/yummain.py", line 105, in main
    result, resultmsgs = base.doCommands()
    File "/usr/share/yum-cli/cli.py", line 289, in doCommands
    self._getTs()
    File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 85, in _getTs
    self._getTsInfo()
    File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 91, in _getTsInfo
    self._tsInfo.setDatabases(self.rpmdb, self.pkgSack)
    File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 537, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
    File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 395, in _getSacks
    self.excludePackages()
    File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 689, in excludePackages
    exactmatch, matched, unmatched = \
    File "/usr/lib/python2.4/site-packages/yum/packages.py", line 94, in parsePackages
    trylist = pkgdict.keys()
    MemoryError

  2. #2
    Join Date
    Oct 2007
    Posts
    105

    Default

    What plan are you on? link-3 OpenVZ or below? It looks like you're running out of RAM.

  3. #3
    Join Date
    Oct 2008
    Posts
    2

    Default

    Yeah...level 1

  4. #4
    Join Date
    Jun 2008
    Location
    California
    Posts
    338

    Default

    You need to switch to a Xen based Link-1 or link-2, or stay on OpenVZ if your getting a Link-3 or higher. All Xen based VPS have swap space, while isn't good performance wise, but does give you the added "memory" to install those packages. You should also look at using Lighttpd w/ php-fcgi, it uses less RAM.

    There is a guide on the VPSLink Wiki that shows you how to configure MySQL for low memory usage once you have it installed.
    Low memory MySQL / Apache configurations - VPSLink Wiki
    Note: my views are my own and do not reflect those of VPSLink

  5. #5
    Join Date
    Jul 2007
    Location
    127.0.0.1
    Posts
    392

    Default

    and discontinue the use of distros that rely on "yum"

    yum is a nightmare..

  6. #6
    Join Date
    Jun 2008
    Location
    California
    Posts
    338

    Default

    Quote Originally Posted by GuyPatterson View Post
    and discontinue the use of distros that rely on "yum"

    yum is a nightmare..
    Let me guess, your a Debian guy?
    Note: my views are my own and do not reflect those of VPSLink

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •